Skip to main content
GET
/
auth
/
delegated-keys
List delegated signing keys
curl --request GET \
  --url https://api.lightspark.com/grid/2025-10-13/auth/delegated-keys \
  --header 'Authorization: Basic <encoded-value>'
{
  "data": [
    {
      "id": "DelegatedKey:019542f5-b3e7-1d02-0000-000000000021",
      "cardId": "Card:019542f5-b3e7-1d02-0000-000000000010",
      "accountId": "InternalAccount:019542f5-b3e7-1d02-0000-000000000002",
      "publicKey": "02a1b2c3d4e5f60718293a4b5c6d7e8f90a1b2c3d4e5f60718293a4b5c6d7e8f90",
      "nickname": "Settlement service key",
      "status": "ACTIVE",
      "createdAt": "2026-04-08T15:30:01Z",
      "updatedAt": "2026-04-08T15:30:42Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

API token authentication using format <api token id>:<api client secret>

Query Parameters

accountId
string

The id of the internal account whose delegated keys to list.

cardId
string

The id of the card whose delegated keys to list.

Response

Delegated keys matching the supplied filters. Returns an empty data array when no matching delegated keys are visible to the caller.

data
Delegated Key · object[]
required

Delegated signing keys matching the list filters.